For the complete documentation index, see llms.txt. This page is also available as Markdown.

HPP Settings

Get HPP terminal settings

get

Retrieve the Hosted Payment Page (HPP) configuration settings for the terminal.

Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Responses
200

ok

payload

payloadTypestringOptional

Indicates the type of payload returned in the response.

Example: String
get/rest/v2/settings/terminal/hpp
GET /rest/v2/settings/terminal/hpp HTTP/1.1
api-key: text
Accept: */*
{
  "hpp-settings": {
    "hpp-public-key": "String",
    "enabled": true,
    "hpp-domain": "https://example.com"
  },
  "payloadType": "String"
}

Create HPP terminal settings

post

Create and configure Hosted Payment Page (HPP) settings for a terminal.

Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Body

Contains the Hosted Payment Page configuration details for the terminal.

hpp-public-keystringRequired

Public key used to encrypt payment data on the Hosted Payment Page.

Example: String
enabledboolean · enumRequired

Indicates whether the Hosted Payment Page (HPP) settings are enabled for the terminal. Set true (enable) or false (disable).

Example: truePossible values:
hpp-domainstringRequired

HTTPS domain URL where the Hosted Payment Page is hosted.

Example: https://example.com
Responses
200

ok

payload

payloadTypestringOptional

Indicates the type of payload returned in the response.

Example: String
post/rest/v2/settings/terminal/hpp
POST /rest/v2/settings/terminal/hpp HTTP/1.1
api-key: text
Content-Type: application/json
Accept: */*
Content-Length: 77

{
  "hpp-public-key": "String",
  "enabled": true,
  "hpp-domain": "https://example.com"
}
{
  "hpp-settings": {
    "hpp-public-key": "String",
    "enabled": true,
    "hpp-domain": "https://example.com"
  },
  "payloadType": "String"
}

Update HPP terminal settings

put

Update the Hosted Payment Page (HPP) settings for a terminal.

Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Body

Contains the Hosted Payment Page configuration details for the terminal.

hpp-public-keystringRequired

Public key used to encrypt payment data on the Hosted Payment Page.

Example: String
enabledboolean · enumRequired

Indicates whether the Hosted Payment Page (HPP) settings are enabled for the terminal. Set true (enable) or false (disable).

Example: truePossible values:
hpp-domainstringRequired

HTTPS domain URL where the Hosted Payment Page is hosted.

Example: https://example.com
Responses
200

ok

payload

payloadTypestringOptional

Indicates the type of payload returned in the response.

Example: String
put/rest/v2/settings/terminal/hpp
PUT /rest/v2/settings/terminal/hpp HTTP/1.1
api-key: text
Content-Type: application/json
Accept: */*
Content-Length: 77

{
  "hpp-public-key": "String",
  "enabled": true,
  "hpp-domain": "https://example.com"
}
{
  "hpp-settings": {
    "hpp-public-key": "String",
    "enabled": true,
    "hpp-domain": "https://example.com"
  },
  "payloadType": "String"
}

Delete HPP terminal settings

delete

Delete the Hosted Payment Page (HPP) configuration settings for the terminal.

Header parameters
api-keystringRequired

An access API key issued to you by Xplor Pay.

Responses
200

ok

payload

payloadTypestringOptional

Indicates the type of payload returned in the response.

Example: String
delete/rest/v2/settings/terminal/hpp
DELETE /rest/v2/settings/terminal/hpp HTTP/1.1
api-key: text
Accept: */*
{
  "hpp-settings": {
    "hpp-public-key": "String",
    "enabled": true,
    "hpp-domain": "https://example.com"
  },
  "payloadType": "String"
}

Last updated

Was this helpful?